module.exports = {
  head: {
    title: 'starter',
    meta: [
      { charset: 'utf-8' },
      { name: 'viewport', content: 'width=device-width, initial-scale=1' },
      { hid: 'description', name: 'description', content: 'Nuxt.js project' }
    ],
    link: [
      { rel: 'icon', type: 'image/x-icon', href: '/favicon.ico' }
    ]
  },
  loading: { color: '#3B8070' },
  build: {
    extend (config, ctx) {
      if (ctx.isClient) {
        config.module.rules.push({
          enforce: 'pre',
          test: /\.(js|vue)$/,
          loader: 'eslint-loader',
          exclude: /(node_modules)/
        })
      }
    }
  },
  modules: [
    '@nuxtjs/content'
  ],
  content: {
    dirs: [
      ["/", { // Top level files (Default Behavior)
        isPost: false
      }],
      ["posts", { // Top Level Post-style Directory
        permalink: ":year/:slug",
        route: "/",
        layout: "posts"
      }],
      ["posts/registered", { // Nested Registered Directory
        permalink: ":section/:slug",
        route: "/"
      }],
      ["projects", { // Top Level Non Post-Style Directiory
        permalink: ":section/:slug",
        route: "projects",
        isPost: false
      }]
    ]
  }
}
